extends Spatial
export(Array, Dictionary) var animations: Array = []
export var player_only: bool = false

enum type {T_BED, T_DOOR, T_CONTAINER, T_NAV}

func entered(body):
	print("entered:", body.name)
func exited(body):
	print("exited:", body.name)
func activate():
	pass
func _ready():
	$Area.connect("body_entered", self, "entered")
	$Area.connect("body_exited", self, "exited")
